.header {
    padding: 0px 12px 0;
}
.header__row {
    height: 48px;
    align-items: center;
}
.header__select-user,
.header__bonus,
.header__back {
    flex: 0 0 20%;
}
.header__logo {
    flex: 0 0 60%;
}

/*select start*/
.select-user {
    position: relative;
}
.select-user__header {
    display: flex;
    gap: 4px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 0;
    height: 30px;
    align-items: center;
    -webkit-align-items: center;
}

.select-user__header:after{
    content: '';
    width: 24px;
    height: 24px;
    display: block;
}

.select-user__header:before {
    content: '';
    width: 24px;
    height: 24px;
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    -webkit-background-size: contain;
}

.select-user__header_man:before {
    background-image: url(../img/icon/icon-man.svg);
}

.select-user__header_woman:before {
    background-image: url(../img/icon/icon-woman.svg);
}

.select-user__header:after {
    content: '';
    width: 24px;
    height: 24px;
    display: inline-block;
    background-image: url(../img/icon/icon-arrow-down.svg);
    background-size: contain;
    background-repeat: no-repeat;
    transition: transform 0.1s ease;
}
.select-user__header:after {
    transition: transform 0.1s ease;
    background-image: url(../img/icon/icon-arrow-down.svg);
}
.select-user__dropdown {
    width: 270px;
    padding: 8px 12px;
    position: absolute;
    top: 34px;
    left: 0;
    right: 0;
    border-radius: 8px;
    background: #161616B2;
    border: 1px solid #262626B2;
    backdrop-filter: blur(50px);
    flex-direction: column;
    gap: 5px;
    z-index: 1000;
    opacity: 0;
    transform: scale(0.95) translateY(-10px);
    transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s ease;
    visibility: hidden;
    pointer-events: none;
    max-height: 50vh;
    overflow-y: scroll;
    scrollbar-width: thin;
    scrollbar-color: #FF1493 #262626B2;
    clip-path: inset(0 round 8px);
}
.select-user__option {
    font-family: var(--family-roboto500);
    font-size: 12px;
    line-height: 18px;
    padding: 10px 0;
    color: var(--color-white);
    cursor: pointer;
    position: relative;
}
.select-user__option:before {
    content: '';
    width: 16px;
    height: 16px;
    background-image: url(../img/icon/icon-select.png);
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
}
.select-user__add:before {
    content: '+';
    width: 16px;
    height: 16px;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    background: none !important;
    font-size: 26px;
    color: var(--color-pink);
    text-align: right;
}
.select-user__option_selected:before {
    background-image: url(../img/icon/icon-select-active.png);
}
.select-user__native {
    display: none;
}
.select-user_open .select-user__dropdown {
    opacity: 1;
    transform: scale(1) translateY(0);
    visibility: visible;
    pointer-events: auto;
}
.select-user_open .select-user__header:after {
    transform: rotate(180deg);
}
/*select end*/

.logo__link {
    display: flex;
    align-items: center;
    justify-content: center;
}
.balance__link {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 4px;
    text-decoration: none;
}
.balance__link:before {
    content: '';
    width: 24px;
    height: 24px;
    background-image: url(../img/logo-balance.svg);
    display: block;
}
.balance__num {
    font-family: var(--family-roboto500);
    font-weight: 500;
    font-size: 13px;
    color: var(--color-white);
}

/*btn-back*/
.header__back {
    height: 100%;
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 0 0 0 5px;
    cursor: pointer;
}

.header__back:after {
    content: '';
    width: 24px;
    height: 24px;
    display: block;
    background-image: url(../img/icon/icon-arrow-down.svg);
    transform: rotate(90deg);
}

.select-user__dropdown::-webkit-scrollbar {
    width: 4px;
}

.select-user__dropdown::-webkit-scrollbar-track {
    background: #262626B2;
    border-radius: 3px;
}

.select-user__dropdown::-webkit-scrollbar-thumb {
    background: #FF1493;
    border-radius: 3px;
}

.select-user__dropdown::-webkit-scrollbar-thumb:hover {
    background: #ff3399;
}

.select-user__option {
    font-family: var(--family-roboto500);
    font-size: 12px;
    line-height: 18px;
    padding: 10px 0;
    color: var(--color-white);
    cursor: pointer;
    position: relative;
    padding-right: 25px;
}

.select-user_open .select-user__dropdown {
    opacity: 1;
    transform: scale(1) translateY(0);
    visibility: visible;
    pointer-events: auto;
}

.select-user_open .select-user__header:after {
    transform: rotate(180deg);
}

body.no-scroll {
    overflow: hidden;
    position: fixed;
    width: 100%;
}

@media not all and (min-resolution:.001dpcm) {
    @supports (-webkit-appearance:none) {
        .select-user__dropdown {
            overflow-y: scroll !important;
        }
    }
}